<?php
/**
 * Block Patterns
 *
 * @package fse_agency
 * @since 1.0
 */

function fse_agency_register_block_patterns() {
	$fse_agency_block_pattern_categories = array(
		'fse-agency' => array( 'label' => esc_html__( 'FSE Agency', 'fse-agency' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'fse-agency' ) ),
	);

	$fse_agency_block_pattern_categories = apply_filters( 'fse_agency_fse_agency_block_pattern_categories', $fse_agency_block_pattern_categories );

	foreach ( $fse_agency_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'fse_agency_register_block_patterns', 9 );